Closed Bug 955411 Opened 8 years ago Closed 8 years ago

Log window is not focused if it already exists

Categories

(Instantbird :: Other, defect)

defect
Not set
normal

Tracking

(Not tracked)

RESOLVED FIXED

People

(Reporter: aleth, Assigned: aleth)

Details

Attachments

(1 file, 2 obsolete files)

*** Original post on bio 1974 at 2013-05-25 09:44:00 UTC ***

"Show logs" will not bring the log window to the front if it is already open. This can be confusing.
Attached patch Patch (obsolete) — Splinter Review
*** Original post on bio 1974 as attmnt 2457 at 2013-05-25 12:44:00 UTC was without comment, so any subsequent comment numbers will be shifted ***
Attachment #8354224 - Flags: review?(clokep)
Assignee: nobody → aleth
Status: NEW → ASSIGNED
Attached patch Better patch (obsolete) — Splinter Review
*** Original post on bio 1974 as attmnt 2460 at 2013-05-26 16:10:00 UTC ***

We might as well always do this.
Attachment #8354227 - Flags: review?(clokep)
Comment on attachment 8354224 [details] [diff] [review]
Patch

*** Original change on bio 1974 attmnt 2457 at 2013-05-26 16:10:11 UTC was without comment, so any subsequent comment numbers will be shifted ***
Attachment #8354224 - Attachment is obsolete: true
Attachment #8354224 - Flags: review?(clokep)
Comment on attachment 8354227 [details] [diff] [review]
Better patch

*** Original change on bio 1974 attmnt 2460 at 2013-05-26 17:49:58 UTC ***

I hope you don't mind me stealing this review. I test your change and it works fine. Thanks!
Attachment #8354227 - Flags: review?(clokep) → review+
Whiteboard: [checkin-needed]
*** Original post on bio 1974 at 2013-05-28 17:12:14 UTC ***

Do you think you will remember 2 months from now why we need to call window.focus() in a window's onload event listener?

I would like a comment explaining the situation ;).
*** Original post on bio 1974 as attmnt 2462 at 2013-05-29 10:26:00 UTC was without comment, so any subsequent comment numbers will be shifted ***
Attachment #8354229 - Flags: review+
Comment on attachment 8354227 [details] [diff] [review]
Better patch

*** Original change on bio 1974 attmnt 2460 at 2013-05-29 10:26:47 UTC was without comment, so any subsequent comment numbers will be shifted ***
Attachment #8354227 - Attachment is obsolete: true
*** Original post on bio 1974 at 2013-05-31 00:37:23 UTC ***

http://hg.instantbird.org/instantbird/rev/82748672d4a2
Status: ASSIGNED → RESOLVED
Closed: 8 years ago
Resolution: --- → FIXED
Whiteboard: [checkin-needed]
Target Milestone: --- → 1.5
You need to log in before you can comment on or make changes to this bug.